package com.usky.fire.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.domain.BaseCompany;
import com.usky.fire.service.vo.CompanyDataVo;

import java.util.List;

/**
 * <p>
 * 联网单位信息表 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-08-23
 */
public interface BaseCompanyService extends CrudService<BaseCompany> {

    /**
     * 根据登录的用户查询所关联的单位下拉框
     *
     * @return
     */
    List<BaseCompany> userCompanySelect();

    /**
     * 根据单位ID查询单位下拉框
     *
     * @param companyIdList 单位ID
     * @return
     */
    List<BaseCompany> companySelect(List<String> companyIdList);

    /**
     * 所有单位ID的查询
     *
     * @return
     */
    List<BaseCompany> companyIdList();

    /**
     * 单位管理-单位列表查询
     *
     * @param companyName  单位名称
     * @param organization 组织机构编码
     * @param pageNum      当前页
     * @param pageSize     每页条数
     * @return
     */
    CommonPage<Object> companyList(String companyName, String organization, Integer pageNum, Integer pageSize);

    /**
     * 单位管理-修改
     *
     * @param companyDataVo
     */
    void updateCompany(CompanyDataVo companyDataVo);

    /**
     * 单位管理-删除
     *
     * @param id 主键ID
     */
    void delCompany(Integer id);
}
